<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Msubunit extends CI_Model
{

    public $table = 'tb_spe_ref_sub_unit';
    public $id = '';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
    }

    // get all
    function get_all()
    {
        $this->db->order_by($this->id, $this->order);
        return $this->db->get($this->table)->result();
    }

    // get data by id
    function get_by_id($id)
    {
        $this->db->where($this->id, $id);
        return $this->db->get($this->table)->row();
    }
    
    // get total rows
    function total_rows($q = NULL) {
    $this->db->where("(Kd_SKPD like '%$q%' or Nm_Urusan like '%$q%' or Nm_Bidang like '%$q%' or Nm_Unit like '%$q%' or Nm_Sub_Unit like '%$q%')",null,false);
    $this->db->from($this->table);
        return $this->db->count_all_results();
    }

    // get data with limit and search
    function get_limit_data($limit, $start = 0, $q = NULL) {
        $this->db->where("(Kd_SKPD like '%$q%' or Nm_Urusan like '%$q%' or Nm_Bidang like '%$q%' or Nm_Unit like '%$q%' or Nm_Sub_Unit like '%$q%')",null,false);
    	$this->db->limit($limit, $start);
        return $this->db->get($this->table)->result();
    }

    // insert data
    function insert($data)
    {
       return  $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->id, $id);
        return   $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->id, $id);
        return $this->db->delete($this->table);
    }

}

/* End of file Msubunit.php */
/* Location: ./application/models/Msubunit.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2018-10-29 13:52:02 */
/* http://harviacode.com */